Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 248941 - Go to symbol spends too much time computing symbol names for cymbols that are not visible
Go to symbol spends too much time computing symbol names for cymbols that are...
Status: RESOLVED FIXED
Product: utilities
Classification: Unclassified
Component: Jump To
8.1
All All
: P2 (vote)
: 8.1
Assigned To: Tomas Zezula
issues@utilities
cndreq
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-27 09:10 UTC by Vladimir Kvashin
Modified: 2015-05-21 03:16 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Proposed change (29.40 KB, patch)
2015-05-07 13:50 UTC, Tomas Zezula
Details | Diff
Improved patch (53.60 KB, patch)
2015-05-15 20:28 UTC, Tomas Zezula
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2014-11-27 09:10:16 UTC
Go to symbol spends too much time computing symbol names for cymbols that are not visible. This slows down a lot. It would be fine if it computed names on demand.
Comment 1 Tomas Zezula 2015-05-07 13:50:23 UTC
Created attachment 153552 [details]
Proposed change
Comment 2 Tomas Zezula 2015-05-07 15:17:20 UTC
I've added a proposed patch (not final).
Production patch will be a bit more complicated.
Current patch can update the name and icon however for java also removing already emitted SymbolDescriptor (when symbol is not resolvable) and forking of SymbolDescriptor to more SymbolDescriptors (for method overloadind, for every symbol name in a class one SymbolDescritor is emitted as method arguments are unknown, when the arguments are calculated there may be overloading and more SymbolDescriptors is needed).

I also need to relax the SymbolComparator written by Victor Vasilyev not to use the SymbolDescriptor.getSymbolName which will cause calculation of args but SD.getSimpleName. This causes that the argument list is not included into sorting.
Are you OK with it?
Comment 3 Vladimir Kvashin 2015-05-13 07:23:08 UTC
Tomáš, thank you!
Yes, I'm ok with not including argument list into sorting.
Comment 4 Tomas Zezula 2015-05-13 08:00:38 UTC
Thanks Vladimir!
I will continue on the work on the patch for NB 8.2.
Comment 5 Vladimir Kvashin 2015-05-13 08:21:03 UTC
Sorry, I'm not aware of 8.2, only of upcoming 8.1 and 9; am I missing something?
Comment 6 Tomas Zezula 2015-05-13 08:30:38 UTC
Sorry, it was a typo, I've wanted to write  8.1
Comment 7 Vladimir Kvashin 2015-05-13 09:54:53 UTC
Great! Thank you so much!
Comment 8 Tomas Zezula 2015-05-15 20:28:04 UTC
Created attachment 153699 [details]
Improved patch
Comment 9 Tomas Zezula 2015-05-18 15:16:13 UTC
Fixed jet-main 36665e68fff8
Comment 10 Quality Engineering 2015-05-21 03:16:52 UTC
Integrated into 'main-silver', will be available in build *201505210001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/36665e68fff8
User: Tomas Zezula <tzezula@netbeans.org>
Log: #248941:Go to symbol spends too much time computing symbol names for cymbols that are not visible


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo